@import url("https://fonts.googleapis.com/css?family=Roboto:300,400,500");
@import url("https://fonts.googleapis.com/icon?family=Material+Icons");

body {
  margin: 0;
  padding: 0;
  font-family: "Roboto", Arial, Helvetica, sans-serif;
}

/* general app styles */

.app-header {
  padding: 10px;
}

/* replace mdc-style*/

.custom-button.mdc-button {
  font-size: 14px;
  text-transform: capitalize;
  padding: 7px 17px;
  color: #767676;
  border-style: none;
  border: 2px solid;
  border-color: #767676;
  border-radius: 20px;
  width: fit-content;
  line-height: 16px;
  height: 36px;
  margin: 3px;
}

.custom-button.active-button.mdc-button {
  color: #b3cd36;
  border-color: #b3cd36;
  font-weight: 700;
}

.custom-button.mdc-button:focus
{
  outline:none;
}

.custom-button.mdc-button:disabled {
  color: #dddddd;
  border-color: #dddddd;  
}

/* calendar control style */

.calendar_navigation_bar {
  display: flex;
  width: 100%;
}

.calendar_navigation_bar .calendar_navigation_controls {
  display: flex;
  justify-content: flex-start;
  align-items: flex-start;
  flex-grow: 1;
  padding-right: 16px;
}

.calendar_navigation_bar .calendar_navigation_controls
.calendar_month_year_controls {
  color: #767676;
  font-size: 16px;
  font-weight: 700;
  padding-top: 16px;
}

.calendar_navigation_bar .calendar_visualization_controls {
  display: flex;
  justify-content: flex-end;
  align-items: flex-end;
  flex-grow: 1;
  padding-left: 16px;
}

/* Calendar body styles */

.calendar-container {
  position: relative;
  width: 100%;
}

.calendar-container .calendar-week,
.calendar-container .calendar-week-view {
  display: flex;
  flex-direction: row;
  flex-wrap: nowrap;
  width: 100%;
  height: 100%;
}

.calendar-container .calendar-week .calendar-week-day,
.calendar-container .calendar-week-view .calendar-week-day {
  flex-grow: 1;
  flex-basis: 0;
  position: relative;
  display: block;
  min-width: 250px;
  min-height: 200px;
  border: 1px solid #dddddd;
  background-color: #ffffff;
}

.calendar-container .calendar-week-view .calendar-week-day {
  height: 100vh;
}

.calendar-container .calendar-week .calendar-week-day .week-day-title,
.calendar-container .calendar-week-view .calendar-week-day .week-day-title {
  position: absolute;
  display: flex;
  padding: 3px;
  color: #767676;
  width: 100%;
  height: fit-content;
  font-size: 16px;
  font-weight: 700;
  z-index: 1;
}

.calendar-container .calendar-week .calendar-week-day .week-day-title .weekday-title-name,
.calendar-container .calendar-week .calendar-week-day .week-day-title .weekday-title-day,
.calendar-container .calendar-week-view .calendar-week-day .week-day-title .weekday-title-name,
.calendar-container .calendar-week-view .calendar-week-day .week-day-title .weekday-title-day {
  display: block;
  width: 50%;
}

.calendar-container .calendar-week .calendar-week-day .week-day-title .weekday-title-day,
.calendar-container .calendar-week-view .calendar-week-day .week-day-title .weekday-title-day {
  text-align: right;
  padding-right: 21px;
  
}

.calendar-container .calendar-week .calendar-week-day .week-day-content,
.calendar-container .calendar-week-view .calendar-week-day .week-day-content {
  display: block;
  width: 100%;
  height: 100%;
  background-color: transparent; 
  padding-top: 25px;
  z-index: 0;
}

.calendar-container .calendar-week .calendar-week-day .week-day-content {
  max-height: 300px;
  overflow-y: auto;
  overflow-x: hidden
}

.event-view {
  position: inherit;
  display: block;
  width: 100%;
  height: fit-content;
  padding: 5px;
  padding-right: 0;
  font-weight: 500;
  z-index: 5;
  color: #767676;
  background: #ffffff;
}

.event-view .event-flag {
  position: relative;
  display: block;
  height: 3px;
  width: 100%;
}

.event-view .event-content {
  display: flex;
}

.event-view .event-content .event-title {
  font-size: 14px;
  padding: 3px;
  font-weight: 700;
}

.event-view .event-content .event-date {
  font-size: 12px;
  padding: 3px;
}

.event-view .event-content .event-options button {
  color: #767676;
}

.event-view .event-content .event-options button:last-child {
  color: red;
}

/* dialog calendar styles */
.reminder-dialog div.mdc-text-field {
  margin: 5px;
}